using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class RevokeCaseInfoModelValidator : AbstractValidator<PublishSpecialDto>
    {
        public RevokeCaseInfoModelValidator()
        {
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Special.CreationTime).NotEmpty();
            RuleFor(d => d.Special.CreatorName).NotEmpty();
            RuleFor(d => d.Special.Reason).NotEmpty();
        }
    }
}
